> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dune.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Materialized Views

> This lists all materialized view owned by the account tied to the API key

<Info>
  Minimum required API key scope: `Read`
</Info>

<Note>
  * This endpoint will list all the materialized views under the ownership of the account tied to the API key used
</Note>


## OpenAPI

````yaml GET /v1/materialized-views
openapi: 3.0.1
info:
  contact: {}
  description: Dune API
  title: DuneAPI
  version: '1.0'
servers:
  - url: https://api.dune.com/api
security: []
paths:
  /v1/materialized-views:
    get:
      summary: >-
        This lists all materialized view owned by the account tied to the API
        key
      description: >-
        This lists all materialized view owned by the account tied to the API
        key
      parameters:
        - description: API Key for the service
          in: header
          name: X-Dune-Api-Key
          required: true
          schema:
            type: string
        - description: API Key, alternative to using the HTTP header X-Dune-Api-Key
          in: query
          name: api_key
          schema:
            type: string
        - description: >-
            Number of materialized views to return on a page. Default and max
            10000
          in: query
          name: limit
          schema:
            type: string
        - description: >-
            Offset used for pagination. Use the value provided on a previous
            response under next_offset
          in: query
          name: offset
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/matviews.MatviewsListResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error400'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error500'
          description: Internal Server Error
components:
  schemas:
    matviews.MatviewsListResponse:
      properties:
        materialized_views:
          items:
            $ref: '#/components/schemas/matviews.MatviewListElement'
          type: array
        next_offset:
          type: integer
      type: object
    models.Error400:
      properties:
        error:
          example: Bad Request
          type: string
      type: object
    models.Error401:
      properties:
        error:
          example: Invalid API Key
          type: string
      type: object
    models.Error500:
      properties:
        error:
          example: Internal error
          type: string
      type: object
    matviews.MatviewListElement:
      properties:
        id:
          type: string
        is_private:
          type: boolean
        query_id:
          type: integer
        sql_id:
          type: string
        table_size_bytes:
          type: integer
      type: object

````